Encrypt then authenticate a message with AEGIS-256

- « sodium_crypto_aead_aegis256_decrypt

- sodium_crypto_aead_aegis256_keygen »

- PHP Manual
- Sodium Functions
- Encrypt then authenticate a message with AEGIS-256

# sodium_crypto_aead_aegis256_encrypt

(PHP 8 >= 8.4.0)

sodium_crypto_aead_aegis256_encrypt — Encrypt then authenticate a message with AEGIS-256

### Description

sodium_crypto_aead_aegis256_encrypt(
#[\SensitiveParameter] string `$message`,
string `$additional_data`,
string `$nonce`,
#[\SensitiveParameter] string `$key`
): string

Encrypt then authenticate a message with AEGIS-256.

### Parameters

`message`
  The plaintext message to encrypt.
`additional_data`
  Additional, authenticated data. This is used in the verification of the authentication tag appended to the ciphertext, but it is not encrypted or stored in the ciphertext.
`nonce`
  A number that must be only used once, per message.
`key`
  Encryption key (256-bit).

### Return Values

Returns the ciphertext and authentication tag as a string of raw binary bytes.

### See Also

- sodium_crypto_aead_aegis256_decrypt() - Verify then decrypt a message with AEGIS-256
- sodium_crypto_aead_aegis256_keygen() - Generate a random AEGIS-256 key